> ## Documentation Index
> Fetch the complete documentation index at: https://docs.amazonomics.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a digest



## OpenAPI

````yaml /api-reference/openapi.json get /v1/tracked-keywords/digests/{id}
openapi: 3.0.0
info:
  title: Amazonomics API
  version: 0.0.1
  description: The Amazonomics REST API. All endpoints need an API key.
servers:
  - url: https://api.amazonomics.com
security:
  - bearerAuth: []
paths:
  /v1/tracked-keywords/digests/{id}:
    get:
      tags:
        - TrackedKeywords
      summary: Get a digest
      parameters:
        - schema:
            type: string
            format: uuid
          required: true
          name: id
          in: path
      responses:
        '200':
          description: Full digest with items.
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/Digest'
                  error:
                    type: object
                    nullable: true
                    properties:
                      code:
                        type: string
                      message:
                        type: string
                      hint:
                        type: string
                      docs:
                        type: string
                    required:
                      - code
                      - message
                required:
                  - data
                  - error
        '401':
          description: Unauthorized.
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    nullable: true
                  error:
                    type: object
                    nullable: true
                    properties:
                      code:
                        type: string
                      message:
                        type: string
                      hint:
                        type: string
                      docs:
                        type: string
                    required:
                      - code
                      - message
                required:
                  - data
                  - error
        '404':
          description: Digest not found.
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    nullable: true
                  error:
                    type: object
                    nullable: true
                    properties:
                      code:
                        type: string
                      message:
                        type: string
                      hint:
                        type: string
                      docs:
                        type: string
                    required:
                      - code
                      - message
                required:
                  - data
                  - error
        '500':
          description: Internal server error.
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    nullable: true
                  error:
                    type: object
                    nullable: true
                    properties:
                      code:
                        type: string
                      message:
                        type: string
                      hint:
                        type: string
                      docs:
                        type: string
                    required:
                      - code
                      - message
                required:
                  - data
                  - error
components:
  schemas:
    Digest:
      allOf:
        - $ref: '#/components/schemas/DigestSummary'
        - type: object
          properties:
            items:
              type: array
              items:
                $ref: '#/components/schemas/DigestItem'
          required:
            - items
    DigestSummary:
      type: object
      properties:
        id:
          type: string
          format: uuid
        created_at:
          type: string
        period_type:
          type: string
          enum:
            - M
        period_key:
          type: string
        tracked_count:
          type: integer
        priority_hit_count:
          type: integer
        improver_count:
          type: integer
        decliner_count:
          type: integer
        is_read:
          type: boolean
        read_at:
          type: string
          nullable: true
        emailed_at:
          type: string
          nullable: true
      required:
        - id
        - created_at
        - period_type
        - period_key
        - tracked_count
        - priority_hit_count
        - improver_count
        - decliner_count
        - is_read
        - read_at
        - emailed_at
    DigestItem:
      type: object
      properties:
        id:
          type: string
          format: uuid
        tracked_keyword_id:
          type: string
          nullable: true
          format: uuid
        search_term:
          type: string
        notes:
          type: string
          nullable: true
        priority_rule:
          $ref: '#/components/schemas/PriorityRule'
        priority_hit:
          type: boolean
        metrics:
          $ref: '#/components/schemas/DigestItemMetrics'
      required:
        - id
        - tracked_keyword_id
        - search_term
        - notes
        - priority_rule
        - priority_hit
        - metrics
    PriorityRule:
      type: object
      nullable: true
      properties:
        field:
          $ref: '#/components/schemas/PriorityRuleField'
        operator:
          $ref: '#/components/schemas/PriorityRuleOperator'
        value:
          type: integer
      required:
        - field
        - operator
        - value
    DigestItemMetrics:
      type: object
      properties:
        current_rank:
          type: integer
          nullable: true
        previous_rank:
          type: integer
          nullable: true
        rank_change:
          type: integer
          nullable: true
        best_rank:
          type: integer
          nullable: true
        worst_rank:
          type: integer
          nullable: true
        avg_rank:
          type: number
          nullable: true
        total_periods:
          type: integer
          nullable: true
        latest_period:
          type: string
          nullable: true
        brands:
          type: array
          items:
            type: string
          default: []
        categories:
          type: array
          items:
            type: string
          default: []
        products:
          type: array
          items:
            type: object
            properties:
              asin:
                type: string
                nullable: true
              title:
                type: string
                nullable: true
              click_share:
                type: number
                nullable: true
              conversion_share:
                type: number
                nullable: true
            required:
              - asin
              - title
              - click_share
              - conversion_share
          default: []
        evaluation:
          type: object
          nullable: true
          properties:
            actual_value:
              type: number
              nullable: true
            reason:
              type: string
          required:
            - actual_value
            - reason
      required:
        - current_rank
        - previous_rank
        - rank_change
        - best_rank
        - worst_rank
        - avg_rank
        - total_periods
        - latest_period
        - evaluation
    PriorityRuleField:
      type: string
      enum:
        - latest_rank
        - rank_change
    PriorityRuleOperator:
      type: string
      enum:
        - <
        - <=
        - '='
        - '>='
        - '>'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````